Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.IdentityProperties Class Reference

## Public Member Functions
| IdentityProperties ()
| Constructor.
| IdentityProperties (IdentityProperties id_properities)
| Constructor, with another identity properties object. More...
| IdentityProperties (String corporation, String email, String login_name, String name, String first_name, String last_name, String title, String department)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
String | getCorporation ()
| Get the corporation name. More...
String | getDepartment ()
| Get the department name. More...
String | getEmail ()
| Get the email address. More...
String | getFirst_name ()
| Get the user first name. More...
String | getLast_name ()
| Get the user last name. More...
String | getLogin_name ()
| Get the login name. More...
String | getName ()
| Get the user name. More...
String | getTitle ()
| Get the user title. More...
void | set (String corporation, String email, String login_name, String name, String first_name, String last_name, String title, String department)
| Set values. More...
void | setCorporation (String value)
| Set the corporation name. More...
void | setDepartment (String value)
| Set the department name. More...
void | setEmail (String value)
| Set the email address. More...
void | setFirst_name (String value)
| Set the user first name. More...
void | setLast_name (String value)
| Set the user last name. More...
void | setLogin_name (String value)
| Set the login name. More...
void | setName (String value)
| Set the user name. More...
void | setTitle (String value)
| Set the user title. More...

## Detailed Description

This class represents identity properties of current user, and is used for callback function ActionCallback.getIdentityProperties .

## Constructor & Destructor Documentation

## ◆ IdentityProperties() [1/2]

com.foxit.sdk.IdentityProperties.IdentityProperties | ( | String | corporation,
|  | String | email,
|  | String | login_name,
|  | String | name,
|  | String | first_name,
|  | String | last_name,
|  | String | title,
|  | String | department
| ) |  |

Constructor, with parameters.

Parameters

  [in] | corporation | The corporation name.
  [in] | email | The email address.
  [in] | login_name | The login name. Usually, this is the name used to log in current operating system.
  [in] | name | The user name.
  [in] | first_name | The user first name.
  [in] | last_name | The user last name.
  [in] | title | The user title.
  [in] | department | The department name.

## ◆ IdentityProperties() [2/2]

com.foxit.sdk.IdentityProperties.IdentityProperties | ( | IdentityProperties | id_properities | ) |

Constructor, with another identity properties object.

Parameters

  [in] | id_properities | Another identity properties object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.IdentityProperties.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getCorporation()

com.foxit.sdk.IdentityProperties.getCorporation | ( |  | ) |

Get the corporation name.

Returns
  The corporation name.

## ◆ getDepartment()

com.foxit.sdk.IdentityProperties.getDepartment | ( |  | ) |

Get the department name.

Returns
  The department name.

## ◆ getEmail()

com.foxit.sdk.IdentityProperties.getEmail | ( |  | ) |

Get the email address.

Returns
  The email address.

## ◆ getFirst_name()

com.foxit.sdk.IdentityProperties.getFirst_name | ( |  | ) |

Get the user first name.

Returns
  The user first name.

## ◆ getLast_name()

com.foxit.sdk.IdentityProperties.getLast_name | ( |  | ) |

Get the user last name.

Returns
  The user last name.

## ◆ getLogin_name()

com.foxit.sdk.IdentityProperties.getLogin_name | ( |  | ) |

Get the login name.

Returns
  The login name. Usually, this is the name used to log in current operating system.

## ◆ getName()

com.foxit.sdk.IdentityProperties.getName | ( |  | ) |

Get the user name.

Returns
  The user name.

## ◆ getTitle()

com.foxit.sdk.IdentityProperties.getTitle | ( |  | ) |

Get the user title.

Returns
  The user title.

## ◆ set()

void com.foxit.sdk.IdentityProperties.set | ( | String | corporation,
|  | String | email,
|  | String | login_name,
|  | String | name,
|  | String | first_name,
|  | String | last_name,
|  | String | title,
|  | String | department
| ) |  |

Set values.

Parameters

  [in] | corporation | The corporation name.
  [in] | email | The email address.
  [in] | login_name | The login name. Usually, this is the name used to log in current operating system.
  [in] | name | The user name.
  [in] | first_name | The user first name.
  [in] | last_name | The uesr last name.
  [in] | title | The user title.
  [in] | department | The department name.

Returns
  None.

## ◆ setCorporation()

com.foxit.sdk.IdentityProperties.setCorporation | ( | String | value | ) |

Set the corporation name.

Parameters

  [in] | value | The corporation name.

Returns
  None.

## ◆ setDepartment()

com.foxit.sdk.IdentityProperties.setDepartment | ( | String | value | ) |

Set the department name.

Parameters

  [in] | value | The department name.

Returns
  None.

## ◆ setEmail()

com.foxit.sdk.IdentityProperties.setEmail | ( | String | value | ) |

Set the email address.

Parameters

  [in] | value | The email address.

Returns
  None.

## ◆ setFirst_name()

com.foxit.sdk.IdentityProperties.setFirst_name | ( | String | value | ) |

Set the user first name.

Parameters

  [in] | value | The user first name.

Returns
  None.

## ◆ setLast_name()

com.foxit.sdk.IdentityProperties.setLast_name | ( | String | value | ) |

Set the user last name.

Parameters

  [in] | value | The user last name.

Returns
  None.

## ◆ setLogin_name()

com.foxit.sdk.IdentityProperties.setLogin_name | ( | String | value | ) |

Set the login name.

Parameters

  [in] | value | The login name. Usually, this is the name used to log in current operating system.

Returns
  None.

## ◆ setName()

com.foxit.sdk.IdentityProperties.setName | ( | String | value | ) |

Set the user name.

Parameters

  [in] | value | The user name.

Returns
  None.

## ◆ setTitle()

com.foxit.sdk.IdentityProperties.setTitle | ( | String | value | ) |

Set the user title.

Parameters

  [in] | value | The user title.

Returns
  None.